Bug 419381 - gnome-session crashes with XDMCP login
gnome-session crashes with XDMCP login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 04:22 EST by Piergiorgio Sartor
Modified: 2009-01-09 00:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:28:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file on the server side when an attempt to open a session on the X-terminal (2.73 KB, text/plain)
2008-01-28 02:53 EST, vanbreugel
no flags Details

  None (edit)
Description Piergiorgio Sartor 2007-12-11 04:22:48 EST
Description of problem:
Remote login to a Fedora 8 system, with Xming from Windows XP, results in an
immediate crash of the gnome session, just after the (successful) login.

Version-Release number of selected component (if applicable):
gnome-session-2.20.2-1.fc8

How reproducible:
Always

Steps to Reproduce:
1.
Setup XDMCP access
2.
Connect from remote, using a X11 server like Xming, to the target
3.
Login
  
Actual results:
Session appears for about 1 second (more or less, depending on network
conditions and so on...), then the connection is lost and the local X11 server
(Xming) closes down.

Expected results:
Well, the session should start, as it was doing with Fedora 7...

Additional info:
It seems there are some bugs, in Fedora 8, GNOME, Ubuntu about a gdm problem,
see for example bug #379511 and bug #403961, which may resemble the situation here.
I do not know if gdm has a bug, but in this case the following (differential)
diagnosis ruled out gdm alone (even if it may still be guilty, see below):

1) Forcing xdm did not improve the situation.
2) Changing (from within gdm) to kde resulted in a proper login.

So, I guess gnome-session is just crashing for some (unknown) reasons.

One error reported in /var/log/messages is:

[date host] gdm-binary[pid]: WARNING: gdm_slave_xioerror_handler: Fatal X error
- Restarting [ip:screen]

Which may lead to the conclusion that gdm could be involved...
Comment 1 Piergiorgio Sartor 2007-12-19 05:03:43 EST
After some updates (but I cannot trace back which one) it seems now possible to
access the remote machine with gnome.
The problem is not completely gone, since the process takes ages (several
minutes) to finish.
It seems there could be something related to pulseaudio, which cannot access any
audio device (of course, there aren't, since we're in remote X connection).

Any ideas?
Comment 2 vanbreugel 2008-01-28 02:53:22 EST
Created attachment 293135 [details]
log file on the server side when an attempt to open a session on the X-terminal
Comment 3 vanbreugel 2008-01-28 03:58:18 EST
same problem to access X-terminal from a RHEL5-application-server with xdmcp
with a RHEL4-application-server all is fine on the same X-terminal

on the RHEL5-application server :
      - [xdmcp] Enable=true  in the /etc/gdm/custom.conf
      - no firewall ; no iptables; no ipchains
        "nmap -sU" localhost shows 177/udp open
      - [debug]Enable=true in /etc/gdm/custom.conf
         gives nothing clear :
         see the attach file xdmcp.log

on the X-terminal side :
       - an X error log with warnings just the same as from a RHEL4
         application-server connection
       - the chooser menu shows the RHEl5-server
       - when I try to open the session
         one second wait ; then the X error message ...

therefore :
       - on the RHEL5-application-server :
         export DISPLAY=eon37.ceremade.dauphine.fr:0;(xeyes)&  ; is OK
         export DISPLAY=eon37.ceremade.dauphine.fr:0;(/usr/libexec/gdmgreeter)&
         gives :
            (gdmgreeter:2074): Gtk-CRITICAL **: gtk_tree_view_get_selection:
             assertion `GTK_IS_TREE_VIEW (tree_view)' failed
         but :
         export DOING_GDM_DEVELOPMENT=yes ; (/usr/libexec/gdmgreeter) &
         is OK !

I try to change :
       [daemon]
        Greeter=/usr/libexec/gdmlogin
        AddGtkModules=true
without any result

this is a great problem for me ; I have 40 X-terminal and five RHEL4 servers
that I want to upgrade to RHEL5 ; without the solution to this problem I should
resign
Comment 4 Bug Zapper 2008-11-26 03:56:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:28:44 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.